---
title: Unrevoke registrations
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Zero Trust](https://developers.cloudflare.com/api/python/resources/zero_trust)

[Devices](https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/devices)

[Registrations](https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/devices/subresources/registrations)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Unrevoke registrations

Deprecated

zero\_trust.devices.registrations.unrevoke(RegistrationUnrevokeParams\*\*kwargs) -> object

POST/accounts/{account\_id}/devices/registrations/unrevoke

Unrevokes a list of WARP registrations.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Zero Trust Write`

##### ParametersExpand Collapse

account\_id: str

[Link to this property](<#(resource)%20zero_trust.devices.registrations%20%3E%20(method)%20unrevoke%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

id: Sequence\[str]

A list of registration IDs to unrevoke.

[Link to this property](<#(resource)%20zero_trust.devices.registrations%20%3E%20(method)%20unrevoke%20%3E%20(params)%20default%20%3E%20(param)%20id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

object

[Link to this property](<#(resource)%20zero_trust.devices.registrations%20%3E%20(method)%20unrevoke%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

### Unrevoke registrations

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.zero_trust.devices.registrations.unrevoke(
    account_id="account_id",
    id=["string"],
)
print(response)
```

200 example

```
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {},
  "success": true,
  "result_info": {
    "count": 1,
    "cursor": "ais86dftf.asdf7ba8",
    "per_page": 10,
    "total_count": null
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {},
  "success": true,
  "result_info": {
    "count": 1,
    "cursor": "ais86dftf.asdf7ba8",
    "per_page": 10,
    "total_count": null
  }
}
```